

# Loading packages
require(ggplot2)
require(MASS)
require(Rmisc)

# Non-parametric tests

##############################
### Checking For Normality ###
##############################

# Loading mtcar datasets
data(mtcars)


# Creating a Q-Q plot of fuel consumption in the mtcars dataset
ggplot(mtcars, aes(mpg)) + # Specify the data
  geom_histogram(binwidth = 5,
                 colour='black', fill='lightgreen') + # Specify we want a histogram
  labs(x='Fuel consumption (in mpg)',y='Frequency') # Axes Labels



# Creating a Q-Q plot of fuel consumption in the mtcars dataset
qqnorm(mtcars$mpg)
qqline(mtcars$mpg,
       col = 'red',
       lwd = 1.5)


# Loading diamonds datasets
data(diamonds)


# Creating a histogram plot of price in the diamonds dataset
ggplot(diamonds, aes(price)) + # Specify the data
  geom_histogram(colour='black', fill='lightgreen') + # Specify we want a histogram
  labs(x='Price',y='Frequency') # Axes Labels



# Create a Q-Q plot of prices in the diamonds dataset
qqnorm(diamonds$price)
qqline(diamonds$price,
       col = 'red',
       lwd = 1.5)


###################################
### One sample Wilcox Rank test ###
###################################

#using immer data set

# Loading immer dataset 
data(immer)

#calculating the medium
median(immer$Y1)

#performing the one-sample test
wilcox.test(immer$Y1,
mu=117,
alternative = 'two.sided')


#Repeating the diamonds
# Loading dataset 
data(diamonds)



# Extracting all the 'Fair' cut diamonds
dat1 <- subset(diamonds, cut == 'Fair')

# Extracting all the 'Good' cut diamonds
dat2 <- subset(diamonds, cut == 'Good')

# Median price for 'Fair' cut diamonds
median(dat1$price)

# Median price for 'Good' cut diamonds
median(dat2$price)


###########################
### Mann Whitney U Test ###
###########################

wilcox.test(dat1$price, # Prices of `Fair' cut diamonds
dat2$price, # Prices of `Good' cut diamonds
paired = FALSE, # Data is not paired
alternative = 'two.sided') # Say we want a two-tailed test


###################################
### Two sample Wilcox Rank test ###
###################################

# Loading mtcar dataset 
data(immer)



# Two sample test
t.test(immer$Y1, # Yield from 1931
immer$Y2, # Yield from 1932
paired = TRUE, # Data is not paired
alternative = 'two.sided') # Say we want a two-tailed test






